Subject: Re: so/diff-merges-more (was Re: What's cooking in git.git (Feb 2023, #01; Thu, 2))

From: Sergey Organov <[email-masked]>
Date: Thu, 09 Mar 2023 16:54:40 +0300

Junio C Hamano <[email-masked]> writes:

> Sergey Organov <[email-masked]> writes:
>
>> My point is that the story with -c, or --cc is roughly the same, and
>> that you yourself fixed --cc once upon a time to imply -p, so it's
>> especially confusing for me that you are now in opposition to similar
>> change to "-m".
>
> I think we all saw a good explanation for that already in the
> thread.
>
> The mistake by "--cc" was fixed relatively quickly, but it is now
> way too late to change the behaviour of "-m" without hurting
> existing users.  I think I've wasted enough time on this in this
> thread already, so let's stop comparing --cc and -m now.

That's fine with me.

I already agreed long ago that to be on the safe side we shouldn't
simply change -m nowadays, and addressed that concern by putting -m
behavior change under configuration option in the current series. So
what's the reason of rejection?

Thanks,
-- Sergey